
GLOBAL.setmetatable(env,{
__index = function (t,k)
return GLOBAL.rawget(GLOBAL,k)
end,
})

local _G = GLOBAL
local loc = _G.require "languages/loc"

GLOBAL.IS_CHINESE_LANGUAGE = false

if loc.GetLanguage() and loc.GetLanguage() == 22 or loc.GetLanguage()== 23 then

   GLOBAL.IS_CHINESE_LANGUAGE = true

end


Assets = 
{

    Asset( "IMAGE", "images/inventoryimages/handlingflag.tex" ),
    Asset( "ATLAS", "images/inventoryimages/handlingflag.xml" ),
	Asset( "IMAGE", "images/inventoryimages/destroyflag.tex" ),
    Asset( "ATLAS", "images/inventoryimages/destroyflag.xml" ),
	

}
PrefabFiles = {
"handlingflag",
"destroyflag",
}

GLOBAL.EFFECTIVEDISTANCE = GetModConfigData("EffectiveDistance")

if GLOBAL.IS_CHINESE_LANGUAGE then

STRINGS.NAMES.HANDLINGFLAG = "搬运旗"
STRINGS.RECIPE_DESC.HANDLINGFLAG = "可以批量搬运物品。"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HANDLINGFLAG = "批量搬运！"

STRINGS.NAMES.DESTROYFLAG = "摧毁旗"
STRINGS.RECIPE_DESC.DESTROYFLAG = "可以批量摧毁物品。"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DESTROYFLAG = "批量摧毁！"

else

STRINGS.NAMES.HANDLINGFLAG = "Handling Flag"
STRINGS.RECIPE_DESC.HANDLINGFLAG = "Batch handling."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HANDLINGFLAG = "Batch handling."

STRINGS.NAMES.DESTROYFLAG = "Destroy Flag"
STRINGS.RECIPE_DESC.DESTROYFLAG = "Batch destroy."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DESTROYFLAG = "Batch destroy."

end	

local handlingflag = Recipe("handlingflag", {Ingredient("cutstone", 5), Ingredient("livinglog", 5),Ingredient("nightmarefuel", 10)}, RECIPETABS.MAGIC,  TECH.MAGIC_TWO, RECIPE_GAME_TYPE.COMMON,"handlingflag_placer", .5)
      handlingflag.atlas = "images/inventoryimages/handlingflag.xml" 

local destroyflag = Recipe("destroyflag", {Ingredient("cutstone", 5), Ingredient("livinglog", 5),Ingredient("nightmarefuel", 10)}, RECIPETABS.MAGIC,  TECH.MAGIC_TWO, RECIPE_GAME_TYPE.COMMON,"destroyflag_placer", .5)
      destroyflag.atlas = "images/inventoryimages/destroyflag.xml"  	  
